---

# NOTE: Empty lines inbetween each value reduces conflicts when changing
# adjacent lines.

# Extra bazel arguments to add to the bazel build/test commands for all builds.
bazel_build_test_arguments:
  # CI jobs are run in a docker image and have a well defined and stable
  # environment so we want to upload any local results to the remote to avoid
  # duplicating any work that falls back to local execution for any reason.
  - '--remote_upload_local_results'
  # Disable runfile links to decrease IO and disk space requirements.
  - '--nobuild_runfile_links'

# List of bazel targets that are flaky and should be retried.
# NOTE: This is deprecated and has been supplanted by a proper data store in
# the CI build service.
bazel_flaky_test_targets: []

# Extra bazel arguments to add to the bazel build/test commands for GPU builds.
bazel_gpu_build_test_arguments: []

# True to enable `--experimental_remote_download_minimal` in bazel builds.
bazel_minimal_downloads: false

# True to enable `--experimental_remote_download_toplevel` in bazel builds.
bazel_toplevel_downloads: false

# Percentage of jobs the config in `kraken_build_test_arguments` should be
# applied to
kraken_build_test_arguments_percentage: 0

# List of all the Kraken related options that we want to specify/override
kraken_build_test_arguments: []

# The number of jobs to specify in the build command when using kraken. Null
# indicates not specifying the argument at all.
kraken_num_build_jobs: 160

# The number of jobs to specify in the test command when using kraken. Null
# indicates not specifying the argument at all.
kraken_num_test_jobs: 160

use_bazel_repository_cache: true

# Remote executors used with bazel
remote_executor: null
remote_cache: null
remote_gpu_executor: null
remote_firmware_executor: null
